Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040238
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-19 15:152019-03-05 10:43
ReportermarvintmView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revisionea902aa4d98f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040238: WebPOS should go to offline if server responds 404

DescriptionCurrently if the server responds with a 401 with a request directed to the main mobile web service, the WebPOS automatically switches to offline mode. However, the same thing doesn't happen when the response is 404 instead.

This should normally not happen, but in some unlikely cases like the following issue:

https://issues.openbravo.com/view.php?id=40211 [^]

It might happen that a 404 response is generated. In those cases it is clear that the server is misbehaving, and that the proper thing to do is to switch to offline mode.
Steps To ReproduceGenerate a 404 response from the main mobile web server, and verify that the WebPOS doesn't properly switch to offline.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040311RR19Q1 closedmigueldejuana WebPOS should go to offline if server responds 404 
depends on backport 0040312RR18Q4.3 closedmigueldejuana WebPOS should go to offline if server responds 404 

-  Notes
(0110162)
hgbot (developer)
2019-03-03 10:41

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f77fb31e71d525e03bd9ea1afb89812d31a28363
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 28 20:11:52 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f77fb31e71d525e03bd9ea1afb89812d31a28363 [^]

Fixed issue 0040238: WebPOS should go to offline if server responds 404

- Do not mark datasourceLoadFailed as true if we get 404 to be able to do login offline

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0110163)
hgbot (developer)
2019-03-03 10:41

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: d3c2e07c0d76772631326805032145d35420ba47
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 01 14:14:59 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d3c2e07c0d76772631326805032145d35420ba47 [^]

Fixed issue 0040238: WebPOS should go to offline if server responds 404

- Do not mark datasourceLoadFailed as true if we get 500 to be able to do login offline

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0110164)
hgbot (developer)
2019-03-03 10:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ea902aa4d98f5abcfe9bbfccc828681c1627e5c4
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 28 20:13:11 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ea902aa4d98f5abcfe9bbfccc828681c1627e5c4 [^]

Fixed issue 0040238: WebPOS should go to offline if server responds 404

- Do login offline if we get 404 fot Terminal info request

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2019-02-19 15:15 marvintm New Issue
2019-02-19 15:15 marvintm Assigned To => migueldejuana
2019-02-19 15:15 marvintm Triggers an Emergency Pack => No
2019-02-27 09:52 marvintm Status new => scheduled
2019-03-03 10:41 hgbot Checkin
2019-03-03 10:41 hgbot Note Added: 0110162
2019-03-03 10:41 hgbot Status scheduled => resolved
2019-03-03 10:41 hgbot Resolution open => fixed
2019-03-03 10:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f77fb31e71d525e03bd9ea1afb89812d31a28363 [^]
2019-03-03 10:41 hgbot Checkin
2019-03-03 10:41 hgbot Note Added: 0110163
2019-03-03 10:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f77fb31e71d525e03bd9ea1afb89812d31a28363 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d3c2e07c0d76772631326805032145d35420ba47 [^]
2019-03-03 10:41 hgbot Checkin
2019-03-03 10:41 hgbot Note Added: 0110164
2019-03-03 10:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d3c2e07c0d76772631326805032145d35420ba47 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ea902aa4d98f5abcfe9bbfccc828681c1627e5c4 [^]
2019-03-04 20:14 migueldejuana Status resolved => new
2019-03-04 20:14 migueldejuana Resolution fixed => open
2019-03-04 20:15 migueldejuana Status new => scheduled
2019-03-04 20:15 migueldejuana Status scheduled => resolved
2019-03-04 20:15 migueldejuana Resolution open => fixed
2019-03-05 10:43 guilleaer Review Assigned To => guilleaer
2019-03-05 10:43 guilleaer Status resolved => closed
2019-03-05 10:43 guilleaer Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker